unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Dialogs, StdCtrls, EditBtn, Windows;

type

  { TForm1 }

  TForm1 = class(TForm)
    FileNameEdit1: TFileNameEdit;
    lblGeaendert: TLabel;
    lblErstellt: TLabel;
    lblLetzterZugriff: TLabel;
    lblG: TLabel;
    lblE: TLabel;
    lblL: TLabel;
    procedure FileNameEdit1Change(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

function FileTimeToDateTime(FileT: TFileTime): TDateTime;

implementation

{$R *.lfm}

function FileTimeToDateTime(FileT: TFileTime): TDateTime;
var
  SysT: TSystemTime;
  LocalSysT: TSystemTime;
  TZoneInf: TTimeZoneInformation;
begin
  SysT.Year := 0;
  LocalSysT.Year := 0;
  TZoneInf.Bias := 0;

  FileTimeToSystemTime(FileT, SysT);
  GetTimeZoneInformation(TZoneInf);
  SystemTimeToTzSpecificLocalTime(@TZoneInf, SysT, LocalSysT);
  Result := SystemTimeToDateTime(LocalSysT);
end;

{ TForm1 }

procedure TForm1.FileNameEdit1Change(Sender: TObject);
var
  rec: TSearchRec;
begin
  if not FileExists(FileNameEdit1.FileName) then
  begin
    lblE.Caption := '';
    lblG.Caption := '';
    lblL.Caption := '';
    Exit;
  end;

  FindFirst(FileNameEdit1.FileName, (faAnyFile), rec);

  // Erstellt
  lblE.Caption := FormatDateTime('dd.mm.yyyy hh:nn:ss', FileTimeToDateTime(rec.FindData.ftCreationTime));

  // Geändert
  lblG.Caption := FormatDateTime('dd.mm.yyyy hh:nn:ss', FileTimeToDateTime(rec.FindData.ftLastWriteTime));

  // Letzter Zugriff
  lblL.Caption := FormatDateTime('dd.mm.yyyy hh:nn:ss', FileTimeToDateTime(rec.FindData.ftLastAccessTime));
end;


end.

